[aptitude] : dist-ugrade impossible [Résolu]

zipe31 35174 Messages postés dimanche 7 novembre 2010Date d'inscriptionContributeurStatut 11 décembre 2017 Dernière intervention - 28 juil. 2017 à 10:23 - Dernière réponse : toflfou 1211 Messages postés mardi 18 mars 2008Date d'inscription 9 septembre 2017 Dernière intervention
- 21 août 2017 à 17:53
Bonjour @ toutes z'et @ tous,

Une fois n'est pas coutume, j'ai un problème à vous soumettre.

J'ai un "Raspberry pi" (Model B Revision 2.0 512MB, (Sony)) qui me sert principalement de camera de surveillance pour une personne âgée.

Il était en version Raspbian (Debian 7 Wheezy) et j'ai entrepris hier de l'upgrader en version Debian 8 (Jessie).
Après les manips d'usage, à savoir :
Mises à jour Wheezy :
sudo aptitude update
sudo aptitude upgrade
sudo aptitude dist-upgrade

Modif sources.list et raspi.list (s/wheezy/jessie/)
Puis ensuite :
sudo aptitude update
sudo aptitude upgrade

Jusque là pas de problème si ce n'est un paquet (libgphoto2-port0:armhf) qui m'avait mis un message d'erreur, je suis passé à l'étape suivante
sudo aptitude dist-upgrade
(en fait c'est
aptitude full-upgrade
maintenant) et là j'ai systématiquement un message d'erreur :
Résolution des dépendances…                   
ouverts : 102 ; fermés : 129 ; reportés : 65 ; en conflit : 1
[…]
E: Impossible de trouver une source de téléchargement de la version « 2.4.14-2 » de « libgphoto2-port0:armhf »


J'ai essayé de désinstaller le paquet via aptitude et dpkg, mais impossible.
J'ai tenté un
aptitude install -f
sans succés, toujours le problème au niveau du paquet libgphoto2-port0.

Je me tourne vers vous pour savoir s'il existe une syntaxe dans aptitude pour empêcher l'installation d'un seul paquet tout en installant le reste ?

Malgré toutes mes recherches sur la toile, je n'ai rien trouvé, si ce n'est la façon d'empêcher l'upgrade d'un paquet (
sudo apt-mark hold NOM_DU_PAQUET
).

En vous remerciant par avance.

Édit :

J'ai bien essayé un
sudo aptitude purge libgphoto2-port0
mais sans plus de succés ;-((



Et voici un état du paquet après tentative de purge :



Il est marqué Hp (H = "à moitié installé : l'installation du paquet a été interrompue. " et p = "le paquet et tous ses fichiers de configuration ont été supprimés, ou le paquet n'a jamais été installé.")

_______________________________ ☯ Zen my nuggets ☮ ______________________________
Faites un geste pour l'environnement, fermez vos fenêtres et adoptez un manchot… 🐧
Afficher la suite 

3 réponses

Répondre au sujet
zipe31 35174 Messages postés dimanche 7 novembre 2010Date d'inscriptionContributeurStatut 11 décembre 2017 Dernière intervention - 28 juil. 2017 à 17:31
0
Utile
Salut tout le monde,

Bon ça y est, j'ai réussi à m'en sortir ;-))

J'ai commencé par virer le fichier qui posait problème (voir capture d'écran dans post initial) :

sudo rm -i /var/lib/dpkg/info/libgphoto2-port0\:armhf.postrm


Puis un petit
sudo aptitude purge libgphoto2-port0


Et ensuite la procédure normale :

sudo aptitude update
sudo aptitude safe-upgrade


Merci à moi (et au Net) et à tous ceusses qui sont passés lire mon pavé.

Bon week-end et bonne vacances à ceux et celles qui vont partir incessament sous peu.


PS. On va tenter un
sudo aptitude full-upgrade
dans la foulée ;-))
Commenter la réponse de zipe31
zipe31 35174 Messages postés dimanche 7 novembre 2010Date d'inscriptionContributeurStatut 11 décembre 2017 Dernière intervention - 30 juil. 2017 à 10:32
0
Utile
1
Salut toul'monde,

Bon, pour une raison que j'ignore, le système a capoté dans la nuit de vendredi à samedi ;-\

Le raspberry était allumé mais impossible de le joindre. Je l'ai donc éteint et remis en marche mais il restait en standby avec la led verte qui clignotatait avec une fréquence de 7 fois. Après recherche sur le net (7 flashes: kernel.img not found), je me suis rendu à l'évidence qu'il manquait bien l'image du kernel dans le /boot ;-(

Comment et pourquoi, je n'en sais strictement rien, d'autant que j'avais rebooté le raspberry après ma mise à jour vers la version 8 (Jessie).

Donc, mystère et boule de gomme ;-\

Heureusement pour moi que j'avais une sauvegarde de ma carte. D'ailleurs ça m'a permis de tester la fonctionnalité de mes sauvegardes à chaud du système sur un partage NFS, avec réduction de l'image pour une économie de place (par exemple sur une carte de 32 Go, j'obtiens une image de moins de 8 Go). J'ai juste eu à remettre l'image avec "dd" et étendre l'espace disque avec "raspi-config".

Là tout est opérationnel. J'ai juste remis à jour la version 7 (Wheezy) et je laisse comme ça pour l'instant.

Si quelqu'un a déjà eu ce genre de problème et surtout s'il a l'explication, je suis preneur.

Merci et bon dimanche à toutes et à tous.
toflfou 1211 Messages postés mardi 18 mars 2008Date d'inscription 9 septembre 2017 Dernière intervention - 21 août 2017 à 17:53
bravo :-D intéressant
Commenter la réponse de zipe31